|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.help.CmsHelpTemplateBean
The bean that provides methods to build the HTML for the single online help frames.
| Field Summary | |
static String |
DEFAULT_HELPFILE
File name of the default help file to load. |
static String |
HELPMAPPINGS_FILENAME
File name of the help mappings properties file(s). |
static String |
MODULE_NAME
The name of the help module. |
static String |
PARAM_BUILDFRAME
Request parameter name for the buildframe flag parameter. |
static String |
PARAM_HELPRESOURCE
Request parameter name for the helpresource uri. |
static String |
PARAM_HOMELINK
Request parameter name for the homelink in head frame. |
static String |
PARAM_WORKPLACERESOURCE
Request parameter name for the workplaceresource uri. |
static String |
PATH_HELP
VFS path to the help folder, contains a macro for the Locale which has to be resolved. |
static String |
PROPERTY_VALUE_HELPSTART
Value of the NavInfo property indicating the start folder of the help. |
static String |
RFS_HELPMAPPINGS
Relative RFS path of the help mappings property file(s). |
static String |
TEMPLATEPATH
Absolute path to used JSP templates. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
PARAM_PATH, PARAM_ROOT, PARAM_STYLE |
| Constructor Summary | |
CmsHelpTemplateBean(CmsJspActionElement jsp)
Public constructor with JSP action element. |
|
CmsHelpTemplateBean(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
protected String |
buildHtmlHelpEnd()
Returns the HTML for the end of the page. |
protected String |
buildHtmlHelpNavigation()
Returns the HTML to build the navigation of the online help folder. |
protected String |
buildHtmlHelpStart(String cssFile,
boolean transitional)
Returns the HTML for the start of the page. |
static String |
buildOnlineHelpJavaScript(Locale locale)
Returns the java script method to open the online help popup window. |
String |
displayBody()
Returns the HTML for the body frame of the online help. |
protected String |
displayFrameset()
Returns the HTML to build the frameset for the online help popup window. |
String |
displayHead()
Returns the HTML for the head frame of the online help. |
String |
displayHelp()
Generates the HTML for the online help frameset or redirects to the help body, depending on the build frameset flag. |
protected void |
getMappedHelpUri()
Determines the mapped help page for a given workplace resource URI. |
String |
getParamBuildframe()
Returns the buildframe parameter indicating if the frameset should be generated. |
String |
getParamHelpresource()
Returns the helpresource parameter value. |
String |
getParamHomelink()
Returns the homelink parameter value. |
String |
getParamWorkplaceresource()
Returns the workplaceresource parameter value. |
protected void |
initMessages()
Initializes the message object. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
protected boolean |
isBuildFrameset()
Returns true if the online help frameset has to be generated. |
void |
setParamBuildframe(String buildframe)
Sets the buildframe parameter indicating if the frameset should be generated. |
void |
setParamHelpresource(String helpresource)
Sets the helpresource parameter value. |
void |
setParamHomelink(String homelink)
Sets the homelink parameter value. |
void |
setParamWorkplaceresource(String workplaceresource)
Sets the workplaceresource parameter value. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
dialogTitle, getAdminTool, getCurrentToolPath, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
public static final String DEFAULT_HELPFILE
public static final String HELPMAPPINGS_FILENAME
public static final String MODULE_NAME
public static final String PARAM_BUILDFRAME
public static final String PARAM_HELPRESOURCE
public static final String PARAM_HOMELINK
public static final String PARAM_WORKPLACERESOURCE
public static final String PATH_HELP
public static final String PROPERTY_VALUE_HELPSTART
public static final String RFS_HELPMAPPINGS
public static final String TEMPLATEPATH
| Constructor Detail |
public CmsHelpTemplateBean(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsHelpTemplateBean(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
public static String buildOnlineHelpJavaScript(Locale locale)
locale - the current users workplace Locale
public String displayBody()
public String displayHead()
public String displayHelp()
throws IOException
IOException - if redirection failspublic String getParamBuildframe()
public String getParamHelpresource()
public String getParamHomelink()
public String getParamWorkplaceresource()
public void setParamBuildframe(String buildframe)
buildframe - the buildframe parameter indicating if the frameset should be generatedpublic void setParamHelpresource(String helpresource)
helpresource - the helpresource parameter valuepublic void setParamHomelink(String homelink)
homelink - the homelink parameter valuepublic void setParamWorkplaceresource(String workplaceresource)
workplaceresource - the workplaceresource parameter valueprotected String buildHtmlHelpEnd()
protected String buildHtmlHelpNavigation()
protected String buildHtmlHelpStart(String cssFile,
boolean transitional)
cssFile - the CSS file name to usetransitional - if true, transitional doctype is used
protected String displayFrameset()
protected void getMappedHelpUri()
If a mapping information is found, the requested URI is set to the found value.
If no workplace resource URI is given, nothing is changed.
protected void initMessages()
CmsWorkplaceBy default the workplace messages object is used.
You SHOULD override this method for setting the bundles you really need,
using the method.CmsWorkplace.addMessages(String)
initMessages in class CmsWorkplaceCmsWorkplace.initMessages()
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)protected boolean isBuildFrameset()
|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||